Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ConsumerOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.ConsumerOperations

    public class ConsumerOperations

extends java.lang.Object

Class containing information on consumer operations.

Field Summary
`static java.lang.String` | `GET_CONSUMER_IDS` Get list of consumer IDs
`static java.lang.String` | `GET_CONSUMER_INFO` Get info on all consumers
`static java.lang.String` | `GET_CONSUMER_INFO_BY_ID` Get info on specified consumer (via ID)
`static java.lang.String` | `GET_CONSUMER_WILDCARDS` Get consumer wildcards
`static java.lang.String` | `GET_NUM_WILDCARD_CONSUMERS` Get number of consumers that use a specific wildcard
`static java.lang.String` | `PURGE` Purge a durable.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_CONSUMER_IDS

    public static final java.lang.String GET_CONSUMER_IDS

  Get list of consumer IDs

  See Also:
    Constant Field Values

### GET_CONSUMER_INFO

    public static final java.lang.String GET_CONSUMER_INFO

  Get info on all consumers

  See Also:
    Constant Field Values

### GET_CONSUMER_INFO_BY_ID

    public static final java.lang.String GET_CONSUMER_INFO_BY_ID

  Get info on specified consumer (via ID)

  See Also:
    Constant Field Values

### PURGE

    public static final java.lang.String PURGE

  Purge a durable.

  See Also:
    Constant Field Values

### GET_CONSUMER_WILDCARDS

    public static final java.lang.String GET_CONSUMER_WILDCARDS

  Get consumer wildcards

  See Also:
    Constant Field Values

### GET_NUM_WILDCARD_CONSUMERS

    public static final java.lang.String GET_NUM_WILDCARD_CONSUMERS

  Get number of consumers that use a specific wildcard

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.